Screen Sharing Config
You need the Manage Settings permission to manage screen sharing config.
Screen Sharing Config- Screen Sharing Config ManageGET livechat/screenSharingConfig- Get a single Screen Sharing ConfigPOST livechat/screenSharingConfig:disable- Disable the Screen Sharing ConfigPOST livechat/screenSharingConfig:enable- Enable the Screen Sharing Config
Screen Sharing Config JSON Format
Screen Sharing Config is represented as simple flat JSON objects with the following keys:
| Name | Type | Description |
|---|---|---|
isEnabled |
bool | Whether screen sharing config is enabled or not. |
Get a single Screen Sharing Config
GET livechat/screenSharingConfig
-
Parameters:
No Parameters
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/livechat/screenSharingConfig \
-X 'GET' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"isEnabled": true
}
Disable the Screen Sharing Config
POST livechat/screenSharingConfig:disable
-
Parameters:
No Parameters
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/livechat/screenSharingConfig:disable \
-X 'POST' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"isEnabled": false
}
Enable the Screen Sharing Config
POST livechat/screenSharingConfig:enable
-
Parameters:
No Parameters
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/livechat/screenSharingConfig:enable \
-X 'POST' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"isEnabled": true
}